org.apache.nutch.api.security

## Enum AuthenticationTypeEnum

- java.lang.Object
- - java.lang.Enum<AuthenticationTypeEnum>
  - - org.apache.nutch.api.security.AuthenticationTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthenticationTypeEnum>

      public enum AuthenticationTypeEnum
      extends java.lang.Enum<AuthenticationTypeEnum>

  Authentication enum which holds authentication types for NutchServer REST API.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `DIGEST`
    `NONE`
    `SSL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final AuthenticationTypeEnum BASIC

    - #### DIGEST

          public static final AuthenticationTypeEnum DIGEST

    - #### SSL

          public static final AuthenticationTypeEnum SSL

    - #### NONE

          public static final AuthenticationTypeEnum NONE

  - ### Method Detail

    - #### values

          public static AuthenticationTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationTypeEnum c : AuthenticationTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2019 The Apache Software Foundation